<div class="header bg pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
        <div class="header-body">
            <!-- Card stats -->
            <div class="row">

            </div>
        </div>
    </div>
</div>

<!-- Page content -->
<div class="container-fluid mt--7">
    <!-- Table -->
    <div class="row">
        <div class="col">
            <div class="card shadow">
                <div class="card-header border-0">
                    <h3 class="mb-0">Users list</h3>
                </div>
                <br>
                <ng2-smart-table (custom)="details($event)" (deleteConfirm)="deleteUser($event)" [settings]="settings"
                    [source]="users">
                </ng2-smart-table>
                <div class="card-footer py-4">

                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal-window" [hidden]='!showDetail'>
    <div class="overlyer" (click)='showDetail = !showDetail'></div>
    <div>
        <a title="Close" class="modal-close" (click)='showDetail = !showDetail'>Close</a>
        <div class="row">
            <div class="form-group col-md-6">
                Email : {{detailInfo.email}}
            </div>
            <div class="form-group col-md-6">
                Username : {{detailInfo.name}}
            </div>
        </div>
        <div class="row">
            <div class="form-group col-md-12">
                <div class="container-fluid">
                    <!-- Table -->
                    <div class="row">
                        <div class="col">
                            <div class="card shadow">
                                <div class="card-header border-0">
                                    <h3 class="mb-0">User access</h3>
                                    <div class="row" *ngIf="detailInfo.role.indexOf('admin') == -1">
                                        <button type="button" class="btn btn-primary"
                                            [ngClass]="detailInfo.role.indexOf('sponsors') > -1 ? '' : 'opaque'"
                                            (click)='addrole("sponsors")'>Sponsors</button>
                                        <button type="button" class="btn btn-primary"
                                            [ngClass]="detailInfo.role.indexOf('demandes') > -1 ? '' : 'opaque'"
                                            (click)='addrole("demandes")'>Demandes</button>
                                        <button type="button" class="btn btn-primary"
                                            [ngClass]="detailInfo.role.indexOf('dons') > -1 ? '' : 'opaque'"
                                            (click)='addrole("dons")'>Dons</button>
                                        <button type="button" class="btn btn-primary"
                                            [ngClass]="detailInfo.role.indexOf('matches') > -1 ? '' : 'opaque'"
                                            (click)='addrole("matches")'>Matches</button>
                                        <button type="button" class="btn btn-primary"
                                            [ngClass]="detailInfo.role.indexOf('université') > -1 ? '' : 'opaque'"
                                            (click)='addrole("université")'>Université</button>
                                        <button type="button" class="btn btn-primary"
                                            [ngClass]="detailInfo.role.indexOf('agent Technique') > -1 ? '' : 'opaque'"
                                            (click)='addrole("agent Technique")'>Agent Technique</button>
                                        <button type="button" class="btn btn-primary"
                                            [ngClass]="detailInfo.role.indexOf('universities') > -1 ? '' : 'opaque'"
                                            (click)='addrole("universities")'>Universities</button>
                                        <button type="button" class="btn btn-primary"
                                            [ngClass]="detailInfo.role.indexOf('don argents') > -1 ? '' : 'opaque'"
                                            (click)='addrole("don argents")'>Don argents</button>
                                        <button type="button" class="btn btn-primary"
                                            [ngClass]="detailInfo.role.indexOf('blog') > -1 ? '' : 'opaque'"
                                            (click)='addrole("blog")'>Blog</button>
                                    </div>
                                    <div class="row">
                                        <button type="button" class="btn btn-warning"
                                            [ngClass]="detailInfo.role.indexOf('user') > -1 ? '' : 'opaque'"
                                            (click)='addrole("user")'>User</button>
                                        <button type="button" class="btn btn-danger"
                                            [ngClass]="detailInfo.role.indexOf('admin') > -1 ? '' : 'opaque'"
                                            (click)='addrole("admin")'>Admin</button>

                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row text-center">
            <button class="btn btn-success" (click)='role()'>Soumettre</button>
        </div>
        <!-- <div class="row">
            <div class="form-group col-md-6">
                detail : {{detailInfo.detail}}
            </div>
        </div>
        <div class="row justify-content-center">
            <button *ngIf="detailInfo.enabled == false" class="btn btn-primary"
                (click)=enable(detailInfo.id)>Activer</button>
            <button *ngIf="detailInfo.enabled == true" class="btn btn-outline-success" [disabled]="true"
                (click)=enable(detailInfo.id)>Actived</button>
        </div> -->
    </div>
</div>